Bug 994981 - jbpm-form-modeler might not be in sync with EAP and must extract it's versions to kie-parent-with-dependencies
jbpm-form-modeler might not be in sync with EAP and must extract it's version...
Status: CLOSED CURRENTRELEASE
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.0.0
Assigned To: Michael
Ivo Bek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-08 06:37 EDT by Geoffrey De Smet
Modified: 2014-08-06 16:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:07:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-08-08 06:37:04 EDT
Requirements:
A) Any pom.xml file in droolsjbpm should not declare <version>, except for kie-dependency-with-dependencies. This way, all droolsjbpm modules work with the same version of a dependency and are certain to be compatible.
B) All dependencies that are also a dependency of EAP must use the same version EAP.

jbpm-form-modeler, specifically the module jbpm-form-modeler-common and jbpm-form-modeler-renderer, doesn't adhere to these requirements yet.

Recommended steps for jbpm-designer-backend:
1) Remove all dead dependencies first
2) Make a list of all dependencies that are not yet specified in kie-dependency-with-dependencies. Add them to kie-dependency-with-dependencies.
3) Compare that list with EAP's dependencies. If EAP uses a different version, specify the EAP version in kie-dependency-with-dependencies.



Related issue:
jbpm-form-modeler-renderer uses commons-logging - that should be replaced by slf4j and logback like the rest of droolsjbpm.
Comment 2 Geoffrey De Smet 2013-08-08 10:59:59 EDT
All of the internal form-modeler deps are now defined in jbpm-bom
Comment 3 Geoffrey De Smet 2013-08-08 11:28:02 EDT
The commons-logging dep should be removed when they fix:
  https://bugzilla.redhat.com/show_bug.cgi?id=995133
Comment 4 Geoffrey De Smet 2013-08-08 11:42:52 EDT
List to check:

net.sf.opencsv:opencsv:2.3
commons-jxpath:commons-jxpath:1.3
org.beanshell:bsh:1.3.0
javax.servlet:jsp-api:2.0
commons-validator:commons-validator:1.4.0
Comment 5 Geoffrey De Smet 2013-08-12 10:08:09 EDT
Results:

net.sf.opencsv:opencsv:2.3                   >> NOT in the list
commons-jxpath:commons-jxpath:1.3            >> NOT in the list
org.beanshell:bsh:1.3.0                      >> NOT in the list
javax.servlet:jsp-api:2.0                    >> NOT in the list (most alike: jboss-jsp-api_2.2_spec-1.0.1.Final-redhat-2.jar)
commons-validator:commons-validator:1.4.0    >> NOT in the list
Comment 6 Michael 2013-08-30 09:45:18 EDT
<version> - tag removed with some exceptions Please look at https://issues.jboss.org/browse/DROOLS-204.
Comment 7 Michael 2013-08-30 10:10:00 EDT
reviewed jbpm-form-modeler and jbpm-designer adhere the requirements yet

Note You need to log in before you can comment on or make changes to this bug.